FIX: Deprecation with pluginId (#132)

FIX: Deprecation with pluginId (#132)

diff --git a/assets/javascripts/discourse/initializers/hook-topic-controller.js b/assets/javascripts/discourse/initializers/hook-topic-controller.js
index 6c6a6a4..c6939ab 100644
--- a/assets/javascripts/discourse/initializers/hook-topic-controller.js
+++ b/assets/javascripts/discourse/initializers/hook-topic-controller.js
@@ -9,6 +9,8 @@ export default {
   initialize() {
     withPluginApi("0.8.32", (api) => {
       api.modifyClass("controller:topic", {
+        pluginId: "discourse-encrypt",
+
         permanentDeleteConfirmation(callback) {
           bootbox.confirm(
             I18n.t("encrypt.post.delete.confirm"),

GitHub sha: 373191fb621c793134a6f083d91b0a55a216345d

This commit appears in #132 which was approved by pmusaraj. It was merged by eviltrout.